
Imports System
Imports System.Collections


'/ <summary>
'/ The Employee class represents an employee in the orgranization structure. This class is used only for 
'/ extracting the oganization structure data and creating the diagram symbol nodes
'/ </summary>

Public Class Employee
    Private strName As String = String.Empty
    Private strID As String = String.Empty
    Private strManagerID As String = String.Empty
    Private alSubEmployees As New ArrayList()
    Private nRecSubEmployeeCount As Integer = 0
    
    
    Public Property EmployeeName() As String
        Get
            Return Me.strName
        End Get
        Set
            Me.strName = value
        End Set
    End Property 
    
    Public Property EmployeeID() As String
        Get
            Return Me.strID
        End Get
        Set
            Me.strID = value
        End Set
    End Property 
    
    Public Property ManagerID() As String
        Get
            Return Me.strManagerID
        End Get
        Set
            Me.strManagerID = value
        End Set
    End Property 
    
    Public ReadOnly Property SubEmployees() As ArrayList
        Get
            Return Me.alSubEmployees
        End Get
    End Property 
    
    Public Property RecSubEmployeeCount() As Integer
        Get
            Return Me.nRecSubEmployeeCount
        End Get
        Set
            Me.nRecSubEmployeeCount = value
        End Set
    End Property
     
    Public Sub New()
    End Sub 'New
    
    
    Public Sub New(name As String, id As String)
        Me.strName = name
        Me.strID = id
    End Sub 'New
    
    
    Public Sub New(name As String, id As String, managerid As String)
        Me.strName = name
        Me.strID = id
        Me.strManagerID = managerid
    End Sub 'New
End Class 'Employee