using System;
using System.Collections;

namespace Syncfusion.Windows.Forms.Diagram.Samples.OrgLayout
{
	/// <summary>
	/// The Employee class represents an employee in the orgranization structure. This class is used only for 
	/// extracting the oganization structure data and creating the diagram symbol nodes
	/// </summary>
	public class Employee
	{
		private String strName = String.Empty;
		private String strID = String.Empty;
		private String strManagerID = String.Empty;
		private ArrayList alSubEmployees = new ArrayList();
		private int nRecSubEmployeeCount = 0;

		public String EmployeeName
		{
			get { return this.strName; }
			set { this.strName = value; }
		}

		public String EmployeeID
		{
			get { return this.strID; }
			set { this.strID = value; }
		}

		public String ManagerID
		{
			get { return this.strManagerID; }
			set { this.strManagerID = value; }
		}

		public ArrayList SubEmployees
		{
			get { return this.alSubEmployees; }
		}
		
		public int RecSubEmployeeCount
		{
			get { return this.nRecSubEmployeeCount; }
			set { this.nRecSubEmployeeCount = value; }
		}
		
		public Employee()
		{
		}

		public Employee(string name, string id)
		{
			this.strName = name;
			this.strID = id;
		}

		public Employee(string name, string id, string managerid)
		{
			this.strName = name;
			this.strID = id;
			this.strManagerID = managerid;
		}
	}
}
