
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms


'/ <summary>
'/ Summary description for DimensionsDlg.
'/ </summary>

Public Class DimensionsDlg
    Inherits System.Windows.Forms.Form
    Private WithEvents btnOk As System.Windows.Forms.Button
    Private WithEvents btnCancel As System.Windows.Forms.Button
    Private label1 As System.Windows.Forms.Label
    Private label2 As System.Windows.Forms.Label
    Private WithEvents tbWidth As System.Windows.Forms.TextBox
    Private tbHeight As System.Windows.Forms.TextBox
    '/ <summary>
    '/ Required designer variable.
    '/ </summary>
    Private components As System.ComponentModel.Container = Nothing
    
    
    Public Sub New()
        '
        ' Required for Windows Form Designer support
        '
        InitializeComponent()
    End Sub 'New
     
    '
    ' TODO: Add any constructor code after InitializeComponent call
    '
    
    '/ <summary>
    '/ Clean up any resources being used.
    '/ </summary>
    Protected Overrides Sub Dispose(disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub 'Dispose
    
    
    Public Property DiagramWidth() As Single
        Get
            Dim value As Single = 0.0F
            Try
                value = System.Convert.ToSingle(Me.tbWidth.Text)
            Catch
            End Try
            Return value
        End Get
        Set
            Me.tbWidth.Text = value.ToString()
        End Set
    End Property
    
    
    Public Property DiagramHeight() As Single
        Get
            Dim value As Single = 0.0F
            Try
                value = System.Convert.ToSingle(Me.tbHeight.Text)
            Catch
            End Try
            Return value
        End Get
        Set
            Me.tbHeight.Text = value.ToString()
        End Set
    End Property
    
    #Region "Windows Form Designer generated code"
    
    '/ <summary>
    '/ Required method for Designer support - do not modify
    '/ the contents of this method with the code editor.
    '/ </summary>
    Private Sub InitializeComponent()
        Me.btnOk = New System.Windows.Forms.Button()
        Me.btnCancel = New System.Windows.Forms.Button()
        Me.label1 = New System.Windows.Forms.Label()
        Me.label2 = New System.Windows.Forms.Label()
        Me.tbWidth = New System.Windows.Forms.TextBox()
        Me.tbHeight = New System.Windows.Forms.TextBox()
        Me.SuspendLayout()
        ' 
        ' btnOk
        ' 
        Me.btnOk.Location = New System.Drawing.Point(64, 104)
        Me.btnOk.Name = "btnOk"
        Me.btnOk.Size = New System.Drawing.Size(64, 24)
        Me.btnOk.TabIndex = 0
        Me.btnOk.Text = "OK"
        ' 
        ' btnCancel
        ' 
        Me.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.btnCancel.Location = New System.Drawing.Point(152, 104)
        Me.btnCancel.Name = "btnCancel"
        Me.btnCancel.Size = New System.Drawing.Size(64, 24)
        Me.btnCancel.TabIndex = 1
        Me.btnCancel.Text = "Cancel"
        ' 
        ' label1
        ' 
        Me.label1.Location = New System.Drawing.Point(40, 24)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(72, 16)
        Me.label1.TabIndex = 2
        Me.label1.Text = "Width:"
        Me.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        ' 
        ' label2
        ' 
        Me.label2.Location = New System.Drawing.Point(40, 56)
        Me.label2.Name = "label2"
        Me.label2.Size = New System.Drawing.Size(72, 16)
        Me.label2.TabIndex = 3
        Me.label2.Text = "Height:"
        Me.label2.TextAlign = System.Drawing.ContentAlignment.MiddleRight
        ' 
        ' tbWidth
        ' 
        Me.tbWidth.Location = New System.Drawing.Point(120, 24)
        Me.tbWidth.Name = "tbWidth"
        Me.tbWidth.Size = New System.Drawing.Size(96, 20)
        Me.tbWidth.TabIndex = 4
        Me.tbWidth.Text = ""
        Me.tbWidth.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
        ' 
        ' tbHeight
        ' 
        Me.tbHeight.Location = New System.Drawing.Point(120, 56)
        Me.tbHeight.Name = "tbHeight"
        Me.tbHeight.Size = New System.Drawing.Size(96, 20)
        Me.tbHeight.TabIndex = 5
        Me.tbHeight.Text = ""
        Me.tbHeight.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
        ' 
        ' DimensionsDlg
        ' 
        Me.AcceptButton = Me.btnOk
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.CancelButton = Me.btnCancel
        Me.ClientSize = New System.Drawing.Size(280, 144)
        Me.Controls.Add(tbHeight)
        Me.Controls.Add(tbWidth)
        Me.Controls.Add(label2)
        Me.Controls.Add(label1)
        Me.Controls.Add(btnCancel)
        Me.Controls.Add(btnOk)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow
        Me.Name = "DimensionsDlg"
        Me.ShowInTaskbar = False
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent
        Me.Text = "Diagram Dimensions"
        Me.ResumeLayout(False)
    End Sub 'InitializeComponent 
    #End Region
    
    
    Private Sub btnOk_Click(sender As Object, e As System.EventArgs) Handles btnOk.Click
        Me.DialogResult = DialogResult.OK
        Me.Close()
    End Sub 'btnOk_Click
    
    
    Private Sub btnCancel_Click(sender As Object, e As System.EventArgs) Handles btnCancel.Click
        Me.DialogResult = DialogResult.Cancel
        Me.Close()
    End Sub 'btnCancel_Click
    
    
    Private Sub tbWidth_Validating(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles tbWidth.Validating
        Dim value As Single = 0.0F
        Try
            value = System.Convert.ToSingle(Me.tbWidth.Text)
        Catch
            e.Cancel = True
        End Try
    End Sub 'tbWidth_Validating
End Class 'DimensionsDlg