
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports System.Xml
Imports System.Data.OleDb
Imports System.Diagnostics
Imports System.IO
Imports System.Drawing.Imaging

Imports Syncfusion.Windows.Forms.Diagram


'/ <summary>
'/ Summary description for Form1.
'/ </summary>

Public Class MainForm
    Inherits System.Windows.Forms.Form
    Private components As System.ComponentModel.IContainer
    Private panel1 As System.Windows.Forms.Panel
    Private diagram As Syncfusion.Windows.Forms.Diagram.Controls.Diagram
    Private mainFrameBarManager As Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager
    Private WithEvents barItemLink As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private bar2 As Syncfusion.Windows.Forms.Tools.XPMenus.Bar
    Private WithEvents barItemUpdateLayout As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private imageList1 As System.Windows.Forms.ImageList
    Private WithEvents barItemFileExit As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private parentBarItemFile As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
    Private WithEvents barItemAdd As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private bar1 As Syncfusion.Windows.Forms.Tools.XPMenus.Bar
    Private WithEvents barItemSelectTool As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemAutoLayout As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemEditCut As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemEditCopy As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemEditPaste As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemHelpAbout As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private parentBarItem1 As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
    Private parentBarItem2 As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
    Private WithEvents barItemDimensions As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private orgChartManager As Syncfusion.Windows.Forms.Diagram.Samples.OrgLayout.OrgChartManager
    Private parentBarItem3 As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
    Private WithEvents barItemZoomTool As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents comboBoxBarItemMagnification As Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem
    Private WithEvents barItemSaveAs As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private saveFileDialog1 As System.Windows.Forms.SaveFileDialog
    Private openFileDialog1 As System.Windows.Forms.OpenFileDialog
    Private WithEvents barItemOpenDiagram As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemReadDatabase As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private WithEvents barItemReadXMLData As Syncfusion.Windows.Forms.Tools.XPMenus.BarItem
    Private parentBarItem4 As Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem
    Private insSymbolTool As InsertSymbolTool = Nothing
    Private newEmployee As EmployeeSymbol = Nothing
    
    
    Public Sub New()
        '
        ' Required for Windows Form Designer support
        '
        Me.orgChartManager = New Syncfusion.Windows.Forms.Diagram.Samples.OrgLayout.OrgChartManager()
        InitializeComponent()
    End Sub 'New
    
    
    '/ <summary>
    '/ Clean up any resources being used.
    '/ </summary>
    Protected Overrides Sub Dispose(disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub 'Dispose
    
    
    Protected Function CreateOrthogonalLink(pts() As PointF) As Link
        Dim link As New Link(Link.Shapes.OrthogonalLine, pts)
        link.EndPoints.LastEndPointDecorator = New EndPointDecorator(EndPointVisuals.ClosedArrow)
        Return link
    End Function 'CreateOrthogonalLink
    
    
    Protected Function CreateLink(pts() As PointF) As Link
        Dim link As New Link(Link.Shapes.Line, pts)
        link.EndPoints.LastEndPointDecorator = New EndPointDecorator(EndPointVisuals.ClosedArrow)
        Return link
    End Function 'CreateLink
    
    #Region "Windows Form Designer generated code"
    
    '/ <summary>
    '/ Required method for Designer support - do not modify
    '/ the contents of this method with the code editor.
    '/ </summary>
    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Dim resources As New System.Resources.ResourceManager(GetType(MainForm))
        Me.panel1 = New System.Windows.Forms.Panel()
        Me.diagram = New Syncfusion.Windows.Forms.Diagram.Controls.Diagram()
        Me.mainFrameBarManager = New Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(Me.components, Me)
        Me.bar2 = New Syncfusion.Windows.Forms.Tools.XPMenus.Bar(Me.mainFrameBarManager, "Actions")
        Me.barItemSelectTool = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemAdd = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemLink = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemUpdateLayout = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemAutoLayout = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemZoomTool = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.comboBoxBarItemMagnification = New Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem()
        Me.barItemDimensions = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.bar1 = New Syncfusion.Windows.Forms.Tools.XPMenus.Bar(Me.mainFrameBarManager, "MainMenu")
        Me.parentBarItemFile = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
        Me.parentBarItem4 = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
        Me.barItemReadDatabase = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemReadXMLData = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemOpenDiagram = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemSaveAs = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemFileExit = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.parentBarItem1 = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
        Me.barItemEditCut = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemEditCopy = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.barItemEditPaste = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.parentBarItem3 = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
        Me.parentBarItem2 = New Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem()
        Me.barItemHelpAbout = New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem()
        Me.imageList1 = New System.Windows.Forms.ImageList(Me.components)
        Me.saveFileDialog1 = New System.Windows.Forms.SaveFileDialog()
        Me.saveFileDialog1.FileName = "doc1"
        Me.saveFileDialog1.Filter = "Diagram files|*.edd|All files|*.*"
        
        Me.openFileDialog1 = New System.Windows.Forms.OpenFileDialog()
        Me.openFileDialog1.Filter = "Diagram Files|*.edd|All files|*.*"
        Me.openFileDialog1.Title = "Open Diagram"
        Me.panel1.SuspendLayout()
        CType(Me.diagram.Model, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.mainFrameBarManager, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        ' 
        ' panel1
        ' 
        Me.panel1.Controls.Add(Me.diagram)
        Me.panel1.Dock = System.Windows.Forms.DockStyle.Fill
        Me.panel1.Location = New System.Drawing.Point(0, 52)
        Me.panel1.Name = "panel1"
        Me.panel1.Size = New System.Drawing.Size(984, 522)
        Me.panel1.TabIndex = 2
        ' 
        ' diagram
        ' 
        Me.diagram.AllowDrop = True
        ' 
        ' diagram.Controller
        ' 
        Me.diagram.Controller.MaxHistory = 256
        Me.diagram.Dock = System.Windows.Forms.DockStyle.Fill
        Me.diagram.HScroll = True
        Me.diagram.LayoutManager = Me.orgChartManager
        Me.diagram.Location = New System.Drawing.Point(0, 0)
        ' 
        ' diagram.Model
        ' 
        Me.diagram.Model.BackgroundStyle.Color = System.Drawing.Color.White
        Me.diagram.Model.BackgroundStyle.GradientAngle = 90F
        Me.diagram.Model.BackgroundStyle.GradientBounds = CType(resources.GetObject("diagram.Model.BackgroundStyle.GradientBounds"), System.Drawing.RectangleF)
        Me.diagram.Model.BackgroundStyle.GradientStartColor = System.Drawing.Color.White
        Me.diagram.Model.BackgroundStyle.Properties = Me.diagram.Model
        Me.diagram.Model.BackgroundStyle.Texture = Nothing
        Me.diagram.Model.BackgroundStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile
        Me.diagram.Model.BackgroundStyle.Type = Syncfusion.Windows.Forms.Diagram.BackgroundStyle.BackgroundType.Solid
        Me.diagram.Model.BoundaryConstraintsEnabled = True
        Me.diagram.Model.FillStyle.AlphaFactor = 255
        Me.diagram.Model.FillStyle.Color = System.Drawing.Color.LightGray
        Me.diagram.Model.FillStyle.GradientAngle = 90F
        Me.diagram.Model.FillStyle.GradientBounds = CType(resources.GetObject("diagram.Model.FillStyle.GradientBounds"), System.Drawing.RectangleF)
        Me.diagram.Model.FillStyle.GradientStartColor = System.Drawing.Color.LightGray
        Me.diagram.Model.FillStyle.Properties = Me.diagram.Model
        Me.diagram.Model.FillStyle.Texture = Nothing
        Me.diagram.Model.FillStyle.TextureWrapMode = System.Drawing.Drawing2D.WrapMode.Tile
        Me.diagram.Model.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyle.FillType.Solid
        Me.diagram.Model.Height = 1000F
        Me.diagram.Model.LineStyle.DashCap = System.Drawing.Drawing2D.DashCap.Flat
        Me.diagram.Model.LineStyle.DashOffset = 0F
        Me.diagram.Model.LineStyle.DashStyle = System.Drawing.Drawing2D.DashStyle.Solid
        Me.diagram.Model.LineStyle.EndCap = System.Drawing.Drawing2D.LineCap.Flat
        Me.diagram.Model.LineStyle.LineColor = System.Drawing.Color.Black
        Me.diagram.Model.LineStyle.LineJoin = System.Drawing.Drawing2D.LineJoin.Bevel
        Me.diagram.Model.LineStyle.LineWidth = 2F
        Me.diagram.Model.LineStyle.MiterLimit = 10F
        Me.diagram.Model.LineStyle.Properties = Me.diagram.Model
        Me.diagram.Model.MeasurementScale = 1F
        Me.diagram.Model.MeasurementUnits = System.Drawing.GraphicsUnit.Pixel
        Me.diagram.Model.Name = "Model"
        Me.diagram.Model.RenderingStyle.Properties = Me.diagram.Model
        Me.diagram.Model.RenderingStyle.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality
        Me.diagram.Model.ShadowStyle.AlphaFactor = 128
        Me.diagram.Model.ShadowStyle.Color = System.Drawing.Color.LightGray
        Me.diagram.Model.ShadowStyle.OffsetX = 6F
        Me.diagram.Model.ShadowStyle.OffsetY = 6F
        Me.diagram.Model.ShadowStyle.Properties = Me.diagram.Model
        Me.diagram.Model.ShadowStyle.Visible = True
        Me.diagram.Model.Width = 3000F
        Me.diagram.Name = "diagram"
        Me.diagram.NudgeIncrement = 1F
        Me.diagram.ScrollGranularity = 0.5F
        Me.diagram.Size = New System.Drawing.Size(984, 522)
        Me.diagram.SmartSizeBox = False
        Me.diagram.TabIndex = 1
        Me.diagram.Text = "OrgLayout Diagram"
        ' 
        ' diagram.View
        ' 
        Me.diagram.View.BackgroundColor = System.Drawing.Color.DarkGray
        Me.diagram.View.Grid.Color = System.Drawing.Color.White
        Me.diagram.View.Grid.DashOffset = 4F
        Me.diagram.View.Grid.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash
        Me.diagram.View.Grid.GridStyle = Syncfusion.Windows.Forms.Diagram.GridStyle.Point
        Me.diagram.View.Grid.HorizontalSpacing = 10F
        Me.diagram.View.Grid.SnapToGrid = True
        Me.diagram.View.Grid.VerticalSpacing = 10F
        Me.diagram.View.Grid.Visible = True
        Me.diagram.View.HandleAnchorColor = System.Drawing.Color.LightGray
        Me.diagram.View.HandleColor = System.Drawing.Color.White
        Me.diagram.View.HandleDisabledColor = System.Drawing.Color.Black
        Me.diagram.View.HandleSize = 6
        Me.diagram.View.HorizontalRuler.Visible = False
        Me.diagram.View.MouseTrackingEnabled = True
        Me.diagram.View.PasteOffsetX = 10
        Me.diagram.View.PasteOffsetY = 10
        Me.diagram.View.RulerFillColor = System.Drawing.Color.LightGray
        Me.diagram.View.RulerLineColor = System.Drawing.Color.Black
        Me.diagram.View.RulerSize = 16
        Me.diagram.View.RulerUnits = Syncfusion.Windows.Forms.Diagram.MeasurementsUnit.Inches
        Me.diagram.View.ShowPageBounds = False
        Me.diagram.View.VerticalRuler.Visible = False
        Me.diagram.VScroll = True
        ' 
        ' mainFrameBarManager
        ' 
        Me.mainFrameBarManager.BarPositionInfo = CType(resources.GetObject("mainFrameBarManager.BarPositionInfo"), System.IO.MemoryStream)
        Me.mainFrameBarManager.Bars.Add(Me.bar2)
        Me.mainFrameBarManager.Bars.Add(Me.bar1)
        Me.mainFrameBarManager.Categories.Add("Actions")
        Me.mainFrameBarManager.Categories.Add("File")
        Me.mainFrameBarManager.Categories.Add("Edit")
        Me.mainFrameBarManager.Categories.Add("Help")
        Me.mainFrameBarManager.Categories.Add("View")
        Me.mainFrameBarManager.CurrentBaseFormType = "System.Windows.Forms.Form"
        Me.mainFrameBarManager.Form = Me
        Me.mainFrameBarManager.ImageList = Me.imageList1
        Me.mainFrameBarManager.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemLink, Me.barItemUpdateLayout, Me.barItemFileExit, Me.parentBarItemFile, Me.barItemAdd, Me.barItemSelectTool, Me.barItemAutoLayout, Me.barItemEditCut, Me.barItemEditCopy, Me.barItemEditPaste, Me.barItemHelpAbout, Me.parentBarItem1, Me.parentBarItem2, Me.barItemDimensions, Me.barItemReadDatabase, Me.barItemZoomTool, Me.parentBarItem3, Me.comboBoxBarItemMagnification, Me.barItemSaveAs, Me.barItemOpenDiagram, Me.barItemReadXMLData, Me.parentBarItem4})
        Me.mainFrameBarManager.LargeImageList = Nothing
        Me.mainFrameBarManager.ResetCustomization = False
        ' 
        ' bar2
        ' 
        Me.bar2.BarName = "Actions"
        Me.bar2.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemSelectTool, Me.barItemAdd, Me.barItemLink, Me.barItemUpdateLayout, Me.barItemAutoLayout, Me.barItemZoomTool, Me.comboBoxBarItemMagnification, Me.barItemDimensions})
        Me.bar2.Manager = Me.mainFrameBarManager
        ' 
        ' barItemSelectTool
        ' 
        Me.barItemSelectTool.CategoryIndex = 0
        Me.barItemSelectTool.ID = "Select"
        Me.barItemSelectTool.ImageIndex = 0
        Me.barItemSelectTool.Text = "Select"
        Me.barItemSelectTool.Tooltip = "Select Tool"
        ' 
        ' barItemAdd
        ' 
        Me.barItemAdd.CategoryIndex = 0
        Me.barItemAdd.ID = "Add"
        Me.barItemAdd.ImageIndex = 1
        Me.barItemAdd.Text = "Add"
        Me.barItemAdd.Tooltip = "Add Member"
        ' 
        ' barItemLink
        ' 
        Me.barItemLink.CategoryIndex = 0
        Me.barItemLink.ID = "Link"
        Me.barItemLink.ImageIndex = 4
        Me.barItemLink.Text = "Link"
        ' 
        ' barItemUpdateLayout
        ' 
        Me.barItemUpdateLayout.CategoryIndex = 0
        Me.barItemUpdateLayout.ID = "Update Layout"
        Me.barItemUpdateLayout.ImageIndex = 5
        Me.barItemUpdateLayout.Text = "Update Layout"
        ' 
        ' barItemAutoLayout
        ' 
        Me.barItemAutoLayout.CategoryIndex = 0
        Me.barItemAutoLayout.ID = "AutoLayout"
        Me.barItemAutoLayout.ImageIndex = 2
        Me.barItemAutoLayout.Text = "AutoLayout"
        Me.barItemAutoLayout.Tooltip = "Auto Layout"
        ' 
        ' barItemZoomTool
        ' 
        Me.barItemZoomTool.CategoryIndex = 4
        Me.barItemZoomTool.ID = "Pan and Zoom Window"
        Me.barItemZoomTool.Text = "Zoom"
        ' 
        ' comboBoxBarItemMagnification
        ' 
        Me.comboBoxBarItemMagnification.CategoryIndex = 4
        Me.comboBoxBarItemMagnification.ChoiceList.AddRange(New String() {"25%", "50%", "75%", "100%", "125%", "150%", "175%", "200%"})
        Me.comboBoxBarItemMagnification.ID = "Magnification"
        Me.comboBoxBarItemMagnification.Text = "Magnification"
        Me.comboBoxBarItemMagnification.TextBoxValue = "100%"
        ' 
        ' barItemDimensions
        ' 
        Me.barItemDimensions.CategoryIndex = 0
        Me.barItemDimensions.ID = "Dimensions"
        Me.barItemDimensions.ImageIndex = 3
        Me.barItemDimensions.Text = "Dimensions"
        ' 
        ' bar1
        ' 
        Me.bar1.BarName = "MainMenu"
        Me.bar1.BarStyle = CType(Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible Or Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder, Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle)
        Me.bar1.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.parentBarItemFile, Me.parentBarItem1, Me.parentBarItem3, Me.parentBarItem2})
        Me.bar1.Manager = Me.mainFrameBarManager
        ' 
        ' parentBarItemFile
        ' 
        Me.parentBarItemFile.CategoryIndex = 1
        Me.parentBarItemFile.ID = "File"
        Me.parentBarItemFile.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.parentBarItem4, Me.barItemOpenDiagram, Me.barItemSaveAs, Me.barItemFileExit})
        Me.parentBarItemFile.Text = "File"
        ' 
        ' parentBarItem4
        ' 
        Me.parentBarItem4.CategoryIndex = 1
        Me.parentBarItem4.ID = "Get Diagram Data"
        Me.parentBarItem4.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemReadDatabase, Me.barItemReadXMLData})
        Me.parentBarItem4.Text = "Get Diagram Data"
        ' 
        ' barItemReadDatabase
        ' 
        Me.barItemReadDatabase.CategoryIndex = 1
        Me.barItemReadDatabase.ID = "Read Data From Database"
        Me.barItemReadDatabase.Text = "Read Data From Database"
        ' 
        ' barItemReadXMLData
        ' 
        Me.barItemReadXMLData.CategoryIndex = 1
        Me.barItemReadXMLData.ID = "Read Data From XML File"
        Me.barItemReadXMLData.Text = "Read Data From XML File"
        ' 
        ' barItemOpenDiagram
        ' 
        Me.barItemOpenDiagram.CategoryIndex = 1
        Me.barItemOpenDiagram.ID = "Open Diagram..."
        Me.barItemOpenDiagram.Text = "Open Diagram..."
        ' 
        ' barItemSaveAs
        ' 
        Me.barItemSaveAs.CategoryIndex = 1
        Me.barItemSaveAs.ID = "Save Diagram As..."
        Me.barItemSaveAs.Text = "Save Diagram As..."
        ' 
        ' barItemFileExit
        ' 
        Me.barItemFileExit.CategoryIndex = 1
        Me.barItemFileExit.ID = "Exit"
        Me.barItemFileExit.Text = "Exit"
        ' 
        ' parentBarItem1
        ' 
        Me.parentBarItem1.CategoryIndex = 2
        Me.parentBarItem1.ID = "Edit"
        Me.parentBarItem1.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemEditCut, Me.barItemEditCopy, Me.barItemEditPaste})
        Me.parentBarItem1.Text = "Edit"
        ' 
        ' barItemEditCut
        ' 
        Me.barItemEditCut.CategoryIndex = 2
        Me.barItemEditCut.ID = "Cut"
        Me.barItemEditCut.ImageIndex = 6
        Me.barItemEditCut.Shortcut = System.Windows.Forms.Shortcut.CtrlX
        Me.barItemEditCut.Text = "Cu&t"
        ' 
        ' barItemEditCopy
        ' 
        Me.barItemEditCopy.CategoryIndex = 2
        Me.barItemEditCopy.ID = "Copy"
        Me.barItemEditCopy.ImageIndex = 7
        Me.barItemEditCopy.Shortcut = System.Windows.Forms.Shortcut.CtrlC
        Me.barItemEditCopy.Text = "&Copy"
        ' 
        ' barItemEditPaste
        ' 
        Me.barItemEditPaste.CategoryIndex = 2
        Me.barItemEditPaste.ID = "Paste"
        Me.barItemEditPaste.ImageIndex = 8
        Me.barItemEditPaste.Shortcut = System.Windows.Forms.Shortcut.CtrlV
        Me.barItemEditPaste.Text = "&Paste"
        ' 
        ' parentBarItem3
        ' 
        Me.parentBarItem3.CategoryIndex = 4
        Me.parentBarItem3.ID = "View"
        Me.parentBarItem3.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemZoomTool})
        Me.parentBarItem3.Text = "View"
        ' 
        ' parentBarItem2
        ' 
        Me.parentBarItem2.CategoryIndex = 3
        Me.parentBarItem2.ID = "Help"
        Me.parentBarItem2.Items.AddRange(New Syncfusion.Windows.Forms.Tools.XPMenus.BarItem() {Me.barItemHelpAbout})
        Me.parentBarItem2.Text = "Help"
        ' 
        ' barItemHelpAbout
        ' 
        Me.barItemHelpAbout.CategoryIndex = 3
        Me.barItemHelpAbout.ID = "About"
        Me.barItemHelpAbout.Text = "About"
        ' 
        ' imageList1
        ' 
        Me.imageList1.ImageSize = New System.Drawing.Size(16, 16)
        Me.imageList1.ImageStream = CType(resources.GetObject("imageList1.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.imageList1.TransparentColor = System.Drawing.Color.Fuchsia
        ' 
        ' MainForm
        ' 
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(984, 574)
        Me.Controls.Add(panel1)
        Me.Name = "MainForm"
        Me.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Show
        Me.Text = "Organizational Layout"
        Me.panel1.ResumeLayout(False)
        CType(Me.diagram.Model, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.mainFrameBarManager, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)
    End Sub 'InitializeComponent 
    #End Region
    
    
    '/ <summary>
    '/ The main entry point for the application.
    '/ </summary>
    <STAThread()>  _
    Shared Sub Main()
        Application.Run(New MainForm())
    End Sub 'Main
    
    
    Private Sub MainForm_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Me.insSymbolTool = New InsertSymbolTool("InsertMemberSymbol", GetType(EmployeeSymbol))
        Me.diagram.Controller.RegisterTool(Me.insSymbolTool)
        
        ' Attach link object factory to the link tool
        Dim linkTool As Tool = Me.diagram.Controller.GetTool("LinkTool")
        If Not (linkTool Is Nothing) AndAlso linkTool.GetType() Is GetType(linkTool) Then
            '((LinkTool)linkTool).LinkFactory = new LinkFactory(this.CreateOrthogonalLink);
            CType(linkTool, linkTool).LinkFactory = New LinkFactory(AddressOf Me.CreateLink)
        End If

        Me.barItemAutoLayout.Checked = Me.orgChartManager.AutoLayout

        ' Populate the Diagram with employee nodes from the Employees database
        Me.InitializeDiagramFromDatabase()

        AddHandler Me.diagram.View.MagnificationChanged, AddressOf Me.diagram_View_MagnificationChanged
    End Sub 'MainForm_Load
    
    
    Private Sub barItemSaveAs_Click(sender As Object, e As System.EventArgs) Handles barItemSaveAs.Click
        ' Save the diagram document as a binary file
        If Me.saveFileDialog1.ShowDialog(Me) = DialogResult.OK Then
            Me.diagram.SaveBinary(Me.saveFileDialog1.FileName)
        End If
    End Sub 'barItemSaveAs_Click
    
    
    Private Sub barItemOpenDiagram_Click(sender As Object, e As System.EventArgs) Handles barItemOpenDiagram.Click
        ' Open the specified diagram file
        If Me.openFileDialog1.ShowDialog(Me) = DialogResult.OK Then
            If Not (Me.diagram.LayoutManager Is Nothing) Then
                Me.diagram.LayoutManager = Nothing
            End If
            Me.diagram.LoadBinary(Me.openFileDialog1.FileName)
            Me.diagram.LayoutManager = Me.orgChartManager
            Me.diagram.Model.UpdateViews()
        End If
    End Sub 'barItemOpenDiagram_Click
    
    
    Private Sub barItemLink_Click(sender As Object, e As System.EventArgs) Handles barItemLink.Click
        Me.diagram.ActivateTool("LinkTool")
    End Sub 'barItemLink_Click
    
    
    Private Sub barItemUpdateLayout_Click(sender As Object, e As System.EventArgs) Handles barItemUpdateLayout.Click
        Me.diagram.LayoutManager.UpdateLayout(Nothing)
    End Sub 'barItemUpdateLayout_Click
    
    
    Private Sub barItemAdd_Click(sender As Object, e As System.EventArgs) Handles barItemAdd.Click
        Dim infoDlg As New OrgMemberInfoDlg()
        If infoDlg.ShowDialog(Me) = DialogResult.OK Then
            ' Might have previously subscribed to the Diagram.ConnectionsChangeComplete event. Unsubscribe.
            RemoveHandler Me.diagram.ConnectionsChangeComplete, AddressOf Me.diagram_ConnectionsChangeComplete
            
            Me.orgChartManager.AutoLayout = False ' Temporarily suspend the layoutmanager
            Dim employeesym As New EmployeeSymbol()
            employeesym.EmployeeName = infoDlg.EmployeeName
            employeesym.EmployeeID = infoDlg.EmployeeID
            employeesym.ManagerID = infoDlg.ManagerID
            Me.insSymbolTool.Symbol = employeesym
            Me.diagram.Controller.ActivateTool(Me.insSymbolTool)
            
            ' Hold a reference to the newly inserted Symbol
            Me.newEmployee = employeesym
            
            ' The new Employee node may be linked to a Manager node. Subscribing to the Diagram.ConnectionsChangeComplete 
            ' event provides us access to the Manager symbol in the event of a new employer-employee Link being created.
            AddHandler Me.diagram.ConnectionsChangeComplete, AddressOf Me.diagram_ConnectionsChangeComplete
        End If
    End Sub 'barItemAdd_Click
    
    
    Private Sub diagram_ConnectionsChangeComplete(sender As Object, evtArgs As Syncfusion.Windows.Forms.Diagram.ConnectionCollectionEventArgs)
        ' A new EmployeeSymbol was created using the Insert dialog and linked to a Manager node. The Link SourcePort 
        ' container will be the Manager node for the new symbol.			
        If Not (Me.newEmployee Is Nothing) Then
            If Not (evtArgs.Connection Is Nothing) AndAlso TypeOf evtArgs.Connection.TargetPort Is LinkTailPort AndAlso Me.newEmployee.ManagerID = String.Empty Then
                Me.newEmployee.ManagerID = CType(evtArgs.Connection.SourcePort.Container, EmployeeSymbol).EmployeeID
                Me.newEmployee = Nothing
            End If
        End If
        RemoveHandler Me.diagram.ConnectionsChangeComplete, AddressOf Me.diagram_ConnectionsChangeComplete
    End Sub 'diagram_ConnectionsChangeComplete
    
    
    Private Sub barItemFileExit_Click(sender As Object, e As System.EventArgs) Handles barItemFileExit.Click
        Me.Close()
    End Sub 'barItemFileExit_Click
    
    
    Private Sub barItemSelectTool_Click(sender As Object, e As System.EventArgs) Handles barItemSelectTool.Click
        Me.diagram.ActivateTool("SelectTool")
    End Sub 'barItemSelectTool_Click
    
    
    Private Sub barItemAutoLayout_Click(sender As Object, e As System.EventArgs) Handles barItemAutoLayout.Click
        If Me.barItemAutoLayout.Checked Then
            Me.barItemAutoLayout.Checked = False
        Else
            Me.barItemAutoLayout.Checked = True
        End If
        Me.orgChartManager.AutoLayout = Me.barItemAutoLayout.Checked
    End Sub 'barItemAutoLayout_Click
    
    
    Private Sub barItemEditCut_Click(sender As Object, e As System.EventArgs) Handles barItemEditCut.Click
        Me.diagram.Cut()
    End Sub 'barItemEditCut_Click
    
    
    Private Sub barItemEditCopy_Click(sender As Object, e As System.EventArgs) Handles barItemEditCopy.Click
        Me.diagram.Copy()
    End Sub 'barItemEditCopy_Click
    
    
    Private Sub barItemEditPaste_Click(sender As Object, e As System.EventArgs) Handles barItemEditPaste.Click
        Me.diagram.Paste()
    End Sub 'barItemEditPaste_Click
    
    
    Private Sub barItemDimensions_Click(sender As Object, e As System.EventArgs) Handles barItemDimensions.Click
        Dim dlg As New DimensionsDlg()
        
        dlg.DiagramWidth = Me.diagram.Model.Width
        dlg.DiagramHeight = Me.diagram.Model.Height
        
        If dlg.ShowDialog(Me) = DialogResult.OK Then
            Me.orgChartManager.AutoLayout = False ' Temporarily suspend the layoutmanager
            Me.diagram.Model.Width = dlg.DiagramWidth
            Me.diagram.Model.Height = dlg.DiagramHeight
            Me.orgChartManager.UpdateLayout(Nothing)
        End If
    End Sub 'barItemDimensions_Click
    
    
    Private Sub barItemHelpAbout_Click(sender As Object, e As System.EventArgs) Handles barItemHelpAbout.Click
        Dim about As New AboutForm()
        about.ShowDialog(Me)
    End Sub 'barItemHelpAbout_Click
    
    
    Private Sub barItemZoomTool_Click(sender As Object, e As System.EventArgs) Handles barItemZoomTool.Click
        Dim tool As Tool = Me.diagram.Controller.GetTool("ZoomTool")
        If Not (tool Is Nothing) Then
            If tool.Active Then
                Me.diagram.Controller.DeactivateTool(tool)
            Else
                Me.diagram.Controller.ActivateTool(tool)
            End If
        End If
    End Sub 'barItemZoomTool_Click
    
    
    Private Sub comboBoxBarItemMagnification_Click(sender As Object, e As System.EventArgs) Handles comboBoxBarItemMagnification.Click
        Dim strMagValue As String = Me.comboBoxBarItemMagnification.TextBoxValue
        Dim idxPctSign As Integer = strMagValue.IndexOf("%"c)
        If idxPctSign >= 0 Then
            strMagValue = strMagValue.Remove(idxPctSign, 1)
        End If
        Dim magVal As Integer = System.Convert.ToInt32(strMagValue)
        Me.diagram.View.Magnification = New System.Drawing.Size(magVal, magVal)
        Me.diagram.Refresh()
    End Sub 'comboBoxBarItemMagnification_Click
    
    
    Private Sub diagram_View_MagnificationChanged(ByVal sender As Object, ByVal evtArgs As Syncfusion.Windows.Forms.Diagram.ViewMagnificationEventArgs)
        UpdateMagnificationComboBox()
    End Sub 'diagram_View_MagnificationChanged


    Private Sub UpdateMagnificationComboBox()
        Dim szMag As System.Drawing.Size = Me.diagram.View.Magnification
        Me.comboBoxBarItemMagnification.TextBoxValue = szMag.Width + "%"
    End Sub 'UpdateMagnificationComboBox


    Private Sub barItemReadDatabase_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles barItemReadDatabase.Click
        Me.InitializeDiagramFromDatabase()
    End Sub 'barItemReadDatabase_Click


    Private Sub barItemReadXMLData_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles barItemReadXMLData.Click
        Me.InitializeDiagramFromXMLFile()
    End Sub 'barItemReadXMLData_Click


    ' Reads the employee data from the MS Access database and creates the diagram organization tree.
    Private Sub InitializeDiagramFromDatabase()
        ' Clear the diagram model of all existing nodes
        If Me.diagram.Model.ChildCount > 0 Then
            Me.diagram.Model.Clear()
        End If
        ' Read data from the Access dataasource and populate a Hashtable using the employee ID as the key
        Dim htemployees As Hashtable = Me.ReadEmployeeDataFromDatabase()

        ' Create a manager-employee nested list with top-level employees forming the root nodes
        Dim sortedlist As ArrayList = Me.GetSortedEmployeesList(htemployees)

        Dim emply As Employee
        For Each emply In sortedlist
            Me.IterUpdateSubEmployeeCount(emply)
        Next emply
        ' Create diagram symbol nodes for each employee and initialize the diagram
        Me.CreateOrgDiagramFromList(sortedlist)

        htemployees.Clear()
        sortedlist.Clear()
    End Sub 'InitializeDiagramFromDatabase


    ' Gets the employee data from an XML format file and creates the diagram organization tree.
    Private Sub InitializeDiagramFromXMLFile()
        ' Clear the diagram model of all existing nodes
        If Me.diagram.Model.ChildCount > 0 Then
            Me.diagram.Model.Clear()
        End If
        ' Read data from the XML file and populate a Hashtable using the employee ID as the key
        Dim htemployees As Hashtable = Me.ReadEmployeeDataFromXMLFile()

        ' Create a manager-employee nested list with top-level employees forming the root nodes
        Dim sortedlist As ArrayList = Me.GetSortedEmployeesList(htemployees)

        Dim emply As Employee
        For Each emply In sortedlist
            Me.IterUpdateSubEmployeeCount(emply)
        Next emply
        ' Create diagram symbol nodes for each employee and initialize the diagram
        Me.CreateOrgDiagramFromList(sortedlist)

        htemployees.Clear()
        sortedlist.Clear()
    End Sub 'InitializeDiagramFromXMLFile


    ' Connect to the Access database and query the employee information using an ADO.NET data reader
    Private Function ReadEmployeeDataFromDatabase() As Hashtable
        Dim htemployees As New Hashtable

        ' Connection string for the Org.mdb Access database
        Dim currentpath As String = Application.ExecutablePath
        Dim datasrcpath As String = currentpath.Substring(0, currentpath.IndexOf("bin")) + "data\employees.mdb"
        Dim connectionstring As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + datasrcpath + ";"
        Dim orgdbconnection As New OleDbConnection(connectionstring)
        ' Query to select all records from the Org.mbd database
        Dim orgdbselectquery As String = "SELECT EmployeeID, Name, ManagerID FROM Employees"
        Dim orgdbcommand As New OleDbCommand(orgdbselectquery, orgdbconnection)
        ' Create a connection to the datasource
        orgdbconnection.Open()
        ' Execute the query command to build the data reader			
        Dim orgdbreader As OleDbDataReader = orgdbcommand.ExecuteReader()
        ' Extract employee data from the reader
        While orgdbreader.Read()
            Dim employeedata(2) As Object
            Dim count As Integer = orgdbreader.GetValues(employeedata)

            ' Create an Employee instance to represent each employee
            Dim emply As New Employee
            emply.EmployeeID = employeedata(0).ToString()
            emply.EmployeeName = CStr(employeedata(1))
            If count = 3 Then
                emply.ManagerID = employeedata(2).ToString()
            End If
            htemployees.Add(emply.EmployeeID, emply)
        End While
        ' Close the reader
        orgdbreader.Close()
        ' Close the connection
        orgdbcommand.Connection.Close()

        Return htemployees
    End Function 'ReadEmployeeDataFromDatabase


    ' Use the XMLDocument class to read the org chart data from the exported XML database file
    Private Function ReadEmployeeDataFromXMLFile() As Hashtable
        Dim htemployees As New Hashtable

        ' Use the XML DOM to read data from the XML org chart data file
        Try
            Dim currentpath As String = Application.ExecutablePath
            Dim filepath As String = currentpath.Substring(0, currentpath.IndexOf("bin")) + "data\employees.xml"

            Dim xmldoc As New XmlDocument
            xmldoc.Load(filepath)
            If xmldoc.DocumentElement.HasChildNodes Then
                Dim employeelist As XmlNodeList = xmldoc.DocumentElement.ChildNodes
                Dim i As Integer
                For i = 0 To employeelist.Count - 1
                    ' Create an Employee instance to represent each employee
                    Dim emply As New Employee
                    Dim employeenode As XmlNode = employeelist(i)
                    Dim employeedatalist As XmlNodeList = employeenode.ChildNodes
                    Dim employeedata As IEnumerator = employeedatalist.GetEnumerator()
                    employeedata.Reset()
                    While employeedata.MoveNext()
                        Dim dataelement As XmlNode = employeedata.Current
                        Select Case dataelement.Name
                            Case "Name"
                                emply.EmployeeName = dataelement.InnerText
                            Case "EmployeeID"
                                emply.EmployeeID = dataelement.InnerText
                            Case "ManagerID"
                                emply.ManagerID = dataelement.InnerText
                        End Select
                    End While

                    htemployees.Add(emply.EmployeeID, emply)

                Next i
            End If
        Catch
            MessageBox.Show("Data Source not found", "Essential Diagram Sample", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

        Return htemployees
    End Function 'ReadEmployeeDataFromXMLFile


    ' Rearrange the employees collection as a manager-subemployee nested tree
    Private Function GetSortedEmployeesList(ByVal htemployees As Hashtable) As ArrayList
        Dim sortedlist As New ArrayList
        Dim emply As Employee
        For Each emply In htemployees.Values
            If emply.ManagerID = String.Empty Then
                ' Employees without a ManagerID are top-level nodes in the org tree
                sortedlist.Add(emply)
            Else
                ' Find the employee instance associated with the managerID and add this object as 
                ' a subemployee of the manager node.
                Dim manager As Employee = CType(htemployees(emply.ManagerID), Employee)
                If Not (manager Is Nothing) Then
                    manager.SubEmployees.Add(emply)
                End If
            End If
        Next emply
        Return sortedlist
    End Function 'GetSortedEmployeesList


    Private Sub IterUpdateSubEmployeeCount(ByVal empl As Employee)
        empl.RecSubEmployeeCount = empl.SubEmployees.Count
        Dim subempl As Employee
        For Each subempl In empl.SubEmployees
            Me.IterUpdateSubEmployeeCount(subempl)
            empl.RecSubEmployeeCount += subempl.RecSubEmployeeCount
        Next subempl
    End Sub 'IterUpdateSubEmployeeCount


    ' Create diagram symbol nodes for each employee in the organization and add these symbols to the diagram
    ' Create links between manager and sub-employees to depict the org structure
    Private Sub CreateOrgDiagramFromList(ByVal alemployees As ArrayList)
        Me.orgChartManager.AutoLayout = False ' Temporarily suspend the layoutmanager
        Dim emply As Employee
        For Each emply In alemployees
            ' Create a EmployeeSymbol for each employee in the organization and add the membersymbol to 
            ' the diagram.			
            Dim emplysymbol As New EmployeeSymbol
            emplysymbol.EmployeeName = emply.EmployeeName
            emplysymbol.EmployeeID = emply.EmployeeID
            emplysymbol.RecSubEmployeeCount = emply.RecSubEmployeeCount

            ' Merely add the various symbols to the Diagram. Positioning the various nodes within the 
            ' diagram will be the responsibility of the OrgChartManager LayoutManager. Nodes will be 
            ' positioned based on their level in the organization hierarchy.
            Me.diagram.Model.AppendChild(emplysymbol)

            Me.IterCreateEmployeeSymbol(emply, emplysymbol)
        Next emply
        ' Instruct the LayoutManager to calculate and layout the diagram nodes
        Me.orgChartManager.UpdateLayout(Nothing)
    End Sub 'CreateOrgDiagramFromList


    ' Iterative sub-employee symbol node creation
    Private Sub IterCreateEmployeeSymbol(ByVal emply As Employee, ByVal emplysymbol As EmployeeSymbol)
        Dim subemply As Employee
        For Each subemply In emply.SubEmployees
            ' Create a EmployeeSymbol for each of the sub-employees of the particular employee
            Dim subemplysymbol As New EmployeeSymbol
            subemplysymbol.EmployeeName = subemply.EmployeeName
            subemplysymbol.EmployeeID = subemply.EmployeeID
            subemplysymbol.ManagerID = subemply.ManagerID
            subemplysymbol.RecSubEmployeeCount = subemply.RecSubEmployeeCount

            Me.diagram.Model.AppendChild(subemplysymbol)

            ' Create a Link node to connect the employee symbol with it's subemployee symbol.
            Dim link As New Syncfusion.Windows.Forms.Diagram.Link(link.Shapes.Line)
            emplysymbol.Connect(emplysymbol.CenterPort, link.TailPort)
            subemplysymbol.Connect(link.HeadPort, subemplysymbol.CenterPort)
            Me.diagram.Model.AppendChild(link)
            Me.diagram.Model.SendToBack(link)

            Me.IterCreateEmployeeSymbol(subemply, subemplysymbol)
        Next subemply
    End Sub 'IterCreateEmployeeSymbol
End Class 'MainForm 
